%  Script anasta.m
%
%  Problem: Analyse einer Stanze
%
%  Daten der Stanze in BSPSTAMP.M
%
% J. Lunze
% RUB, Lehrstuhl fr Automatisierungstechnik und Prozessinformatik
% 6.4.2003,  Original v. 17.5.1999
% fr 2. Auflage: 3.1.2007
% fr 3. Auflage: 1.12.2011
% fr 5. Auflage: 16.12.2019
%
close all
clear all
bspstamp;
%%
%
%  Analyse der Stanze
%
%  Zustand nach 1500 Schritten  (k=1500)
%
%
k=1500;
p=P^1500*p0;
for i=1:n
    disp([statenames(i,:),'  mit Wahrscheinlichkeit  ',num2str(p(i))]);
end


%%           Fehlerwahrscheinlichkeit nach ber 10000 Arbeitsschritten
%
%
figure(1)
subplot(6,1,[1,2]);
Ts=1;
Tend=10000;
T=1:Tend;
[Y,X]=dinitial(P, eye(n,1), eye(1,n), 0, p0, Tend);
latextitle('Fehlerwahrscheinlichkeit der Stanze');
stairs(T, X(:,8:9), 'Color','b','LineWidth',1.5);
latexylabel('$$p_8(k), p_9(k)$$');
rotateY;
latexxlabel('$$k$$');
hold off
axis([0 10000 0 0.65]);
xticks([0 2000 4000 6000 8000 10000]);
yticks([0 0.2 0.4 0.6]);

%%  Figures to .EPS files
%
Epsbildc15('anastamp');
