%   Script BspTanks.M zur Erzeugung von Beispieldaten
%   
%    2 gekoppelte Tanks
%    verwendet fr Diagnose mit ereignisdiskretem Modell
%
% J. Lunze  
% fr 3. Auflage: 6.1.2012
% fr 5. Auflage: 25.10.2019
%
%
%
% 
%   Beispiel: 2 zylindrische Behlter mit folgenden Parametern
%               Hhe        h = 60 cm
%               Durchmesser d = 20 cm
%               Hhe der Verbindungsleitung hv=30 cm
%               Durchflusskonstanten: s_i=2....6 m^5/2/s
%               Pumpenleistung:  q3max=3.5 10^-4 m^3/s
%
%        Eingang:  Pumpe (an/aus), Ventil 1 (auf/zu), Ventil 2 (auf/zu),
%        Ausgang: Fllstnde (kontinuierlich und diskret gemessen)
%        Zeit in s
%
%
hmax=0.6;     % 60 cm
hv=0.3;         % 30 cm
d1=0.2;          % Durchmesser 20 cm
d2=0.2;
A1=pi/4*d1*d1;
A2=pi/4*d2*d2;
s2=0.0002;   % Flusskonstante 2 10^-4 m^{5/2}/s
s3=0.0003;
s4=0.00055;
q1max=0.00035;  % Pumpenleistung
%
%    Lage der diskreten Fllstandssensoren 
%    bei Verwendung von drei Sensoren
% L1low=0.01;
% L1med=0.28;
% L1high=0.60;
% L2low=0.01;
% L2med=0.28;
% L2high=0.50;
%    Lage der diskreten Fllstandssensoren 
%    bei Verwendung von zwei Sensoren
L1low=0.02;
L1high=0.60;
L2low=0.02;
L2high=0.50;
