%   Script BSPOFEN.M
%   
%  Modell eines Ofens zur Erwrmung eines Werkstcks
%
% J. Lunze  
% 23.6.2002
% fr 2. Auflage: 29.12.2006
% fr 5. Auflage: 25.10.2019
%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%   T1 = Temperatur des Werkstcks in ^oC bzw. K
%   T2 = Temperatur des Werkstckhalters in ^oC bzw. K
%
%   u = Wrmestrom auf die Deckschicht in W
%   y = Temperatur T2 des Werkstckhalters in ^oC bzw. K
%
%
%
%  Werkstck aus Aluminium
d1=0.003;          % m
lambda1=221;       % W/m/K
rho1=2.7*1000;     % kg/m^3
c1=921;            % J/kg/K
%  Werkstckhalter aus Eisen
d2=0.005;          % m
lambda2=67;        % W/m/K
rho2=7.87*1000;    % kg/m^3
c2=465;            % J/kg/K
% 
Am= 0.1*0.1*pi;      % m^2  
%  Am ist bereits aus den Elemente von A gekrzt und erscheint deshalb
%  nicht in den Koeffizienten k21, ku2 
%
%  Zwischengren
k21=1/(d1/2/lambda1 + d2/2/lambda2);
ku2=1/(d2/2/lambda2);
%
%  Zustandsraummodell
A = [-k21/d1/rho1/c1   k21/d1/rho1/c1;
    k21/d2/rho2/c2   -(k21+ku2)/d2/rho2/c2 ];
B=[1/d1/Am/rho1/c1; 0];
C=[0 1];
D=0;
n=2;
Ofen=ss(A, B, C, D);
