%   Script DRIFTER.M
%
%   Kennlinie des Drifters
%
% J. Lunze
% 15.4.2003
% fr 2. Auflage: 27.12.2006
% fr 3. Auflage: 1.12.2011
% fr 5. Auflage: 25.10.2019
%
%
clear
close all
% Parameter
V0bar=0.1638;           % m^3       Volumen bei z=0
rho=10^3;               % kg/m^3
g = 9.81;               % m/s^2     Erdbeschleunigung
%m=170.61;               % kg        Masse
m=V0bar*rho;
kappaW=0.00049*10^-6;    % m^2/N
kappaD=0.000254*10^-6;   % m^2/N
c0=1.64;                %
A0=0.636;               % m^2
%
%     Maeinheiten:  wegen Nherung  p(z)-p_0=\rho_0*g*z
%                    wird "N" gleich "kg" gesetzt
%
k=0;
Vr=[0.98:0.005:1];      % Vr = V_0/\bar{V}_0
for v=Vr*V0bar
    k=k+1;
    zbar(k)=(m-v*rho)/(v*rho*rho*(kappaW-kappaD)*g);
end
%
subplot(4,1,[1,2]);
plot(Vr, zbar, 'b');
%latextext('Interpreter','latex','String','$$\bar{z}$$ in m','Position',[0.9765, 5000]);
latexylabel('$$\bar{z}$$ in m');
rotateY;
yticks([0,  4000,  8000]);
%latextext('Interpreter','latex','String','$$\frac{\bar{V}_0}{V_0}$$','Position',[0.9925, -1800]);
latexxlabel('$$\frac{\bar{V}_0}{V_0}$$');
latextitle('Kennlinie des Drifters');


%%
%
Epsbildc15('drifter');
