%   Script FIGNORM.M zur Gestaltung und Ausdruck von Bildern
%
%   Parametrierung der Linienstrken
%   Herstellung von .PS und .EPS-Files
%
% J. Lunze
% 11.4.1996
% 28.11.1997  (Ausschlu des Parametrierens von images)
% 30.10.1998  (nderung von 'Fontsize')
% 6.11.1998   (Ergnzung: Schriftgre der z-Achse verndern)
% 23.5.2001   (nderung der MarkerSize)
% 23.2.2004   (nderung der Schriftart auf "times")
% 15.3.2004   (nderung von 'Fontsize')
% 26.1.2017   (FontName = Euclid; nderung von 'Fontsize')
%
echo off
Fig=get(0, 'Children');
for k0=1:size(Fig)
    figure(Fig(k0))  
    %  if get(gcf, 'Type')==figure
    Plots=get(gcf, 'Children');
    for k1=1:size(Plots)
       subplot(Plots(k1));
       set(gca, 'Box', 'on');
       set(gca, 'Fontsize', 18);                % bisher 15, dann 20
       set(gca, 'LineWidth', 0.8);
       set(gca, 'FontName','Euclid');  % alle Texte in Euclid-Schrift
       set(get(gca, 'XLabel'), 'Fontsize', 18,'FontName','Euclid'); % bisher 15, dann 24
       set(get(gca, 'YLabel'), 'Fontsize', 18,'FontName','Euclid'); % bisher 15, dann 24
       set(get(gca, 'ZLabel'), 'Fontsize', 18,'FontName','Euclid'); % bisher 24
       set(get(gca, 'Title'), 'Fontsize', 18,'FontName','Euclid');  % bisher 24
       Objekte=get(gca, 'Children');
       for k=1:size(Objekte)
        if size(get(Objekte(k), 'Type'),2)==4  % images ausschliessen
          if get(Objekte(k), 'Type')=='line'
             set(Objekte(k), 'LineWidth', 1.5);
          end;
          if get(Objekte(k), 'Type')=='text'
             set(Objekte(k), 'Fontsize', 18,'FontName','Euclid');  % bisher 15, dann 24
          end;
          if get(Objekte(k), 'Type')=='line'
             set(Objekte(k), 'MarkerSize', 8);
          end;
        end;
       end;
    end;
%  end;
end;
