function lambda=schlupf(mu,c1,c2,c3);
%
%   Berechnung von lambda fr gegebenes mu
%   so dass c1*(1-exp(-c2*lambda))-c3*lambda-mu=0
%
%  Verwendet die Parameter c1, c2 und c3 der Schlupfkennlinie
%  (vgl. Formel und Parameter aus Kiencke/Nielson S. 241)
%
%
% J. Lunze  
% 1.11.2001
% fr 2. Auflage: 27.12.2006
% fr 5. Auflage: 25.10.2019
%
%
%
lambda=0.01;
Fehler=10;
while Fehler> 0.01
      flambda=c1*(1-exp(-c2*lambda))-c3*lambda-mu;
      flambdadot=c1*c2*exp(-c2*lambda)-c3;
      lambda=lambda- flambda/flambdadot;
      Fehler=(mu-c1*(1-exp(-c2*lambda))-c3*lambda)/mu;
end
