%  Script WUERFEL.M
%
%  Problem: Analyse eines Wrfelspiels
%
%  Jeder Spieler beginnt im Zustand 0
%  und erreicht den Zustand i+1, wenn  er eine  6  wrfelt
%
%  Parameters:
%
%   imax - maximale Zahl von 6en
%   pmax - Anzahl der spielenden Personen
%
%
% J. Lunze
% 6.4.2003        Original dice.m vom 17.5.1999
% fr 2. Auflage: 3.1.2007
% fr 3. Auflage: 2.12.2011
% fr 5. Auflage: 16.12.2019
%
close all
clear all
imax=10;
P=5/6*eye(imax,imax);
for i=2:imax
   P(i,i-1)=1/6;
end
pmax=1000;
p0=zeros(imax,1);
p0(1,1)=1;
%%  Analyse
%
figure(1)
subplot(2,1,1);
Ts=1;
Tend=51;
T=0:Tend-1;
[Y,X]=dinitial(P, eye(imax,1), eye(1,imax), 0, p0, Tend);
stairs(T, pmax*X, 'Color','b','LineWidth',1.5);
axis([0 Tend-1 -30 1030]);
yticks([0 500 1000]);
xticks([0 10 20 30 40 50]);
latextitle('Anzahl der Personenzahl im Zustand i');
latexylabel('$$N_z(k)$$');
rotateY;
latexxlabel('$$k$$');
latextext(1.5, 900, '$$z=0$$');
latextext(10, 500, '$$z=1$$');
%latextext(3.3, 200, '$$z=2$$');
%
subplot(2,1,2);
Tend=16;
T=0:Tend-1;
[Y,X]=dinitial(P, eye(imax,1), eye(1,imax), 0, p0, Tend);
stairs(T, X(:, 1:4), 'Color','b','LineWidth',1.5);
axis([0 Tend-1 -0.030 1.03]);
yticks([0 1]);
xticks([0 5 10 15]);
latexylabel('$${\rm Prob}(Z(k)=z)$$');
rotateY;
latexxlabel('$$k$$');
latextext(1.3, 0.92, '$$z=0$$');
latextext(1, 0.43, '$$z=1$$');
latextext(4, 0.27, '$$z=2$$');
latextext(9, 0.05, '$$z=3$$');
hold off
%continue;

%% Figures to .EPS files
%
Epsbildc15('wuerfel');
